Package org.eclipse.jface.widgets

# Class AbstractCompositeFactory<F extends AbstractCompositeFactory<?,?>,C extends Composite>

java.lang.Object
org.eclipse.jface.widgets.AbstractWidgetFactory<F,C,Composite>
org.eclipse.jface.widgets.AbstractControlFactory<F,C>
org.eclipse.jface.widgets.AbstractCompositeFactory<F,C>

Type Parameters:
  `F` - factory
  `C` - control

Direct Known Subclasses:
  `BrowserFactory`, `CompositeFactory`, `GroupFactory`, `SectionFactory`, `ShellFactory`

@NoExtend public abstract class AbstractCompositeFactory<F extends AbstractCompositeFactory<?,?>,C extends Composite> extends AbstractControlFactory<F,C>
Abstract factory for composites. Factories for widgets that inherit from Composite should extend this factory to handle the properties of Composite itself, like layout.

Since:
  3.18

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractCompositeFactory(Class<F> factoryClass, WidgetSupplier<C,Composite> controlCreator)`

## Method Summary

Modifier and Type
Method
Description
`F`
`layout(Layout layout)`
Sets the layout which is associated with the receiver to be the argument which may be null.

### Methods inherited from class org.eclipse.jface.widgets.AbstractControlFactory

`background, enabled, font, foreground, layoutData, orientation, supplyLayoutData, tooltip`

### Methods inherited from class org.eclipse.jface.widgets.AbstractWidgetFactory

`addProperty, cast, create, data, data`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCompositeFactory

protected AbstractCompositeFactory(Class<F> factoryClass, WidgetSupplier<C,Composite> controlCreator)

## Method Details

### layout

public F layout(Layout layout)
Sets the layout which is associated with the receiver to be the argument which may be null.

Parameters:
  `layout` - the receiver's layout or null
Returns:
  this
See Also:
  - `Composite.setLayout(Layout)`